R2R(1)

NAME
r2r - radare2 regression testsuite

SYNOPSIS
r2r [-h] [-i] [-n] [-L] [-q] [-v] [-V] [-j threads] [-f bin-for-json-tests] [-F fuzzbindir] [-C chdir] [-o file] [-s ignore] [-t seconds] [[test-(dir|file) ...]]

DESCRIPTION
Run all the radare2 regression tests matching a specific word in the name.

You need radare2 to be available in $PATH.

OPTIONS

-h  Show the help/usage message

-i  Interactive mode

-n  Do not run any test, just load/parse them

-L  Log mode (better printing for CI, logfiles, etc.)

-q  Quiet mode (use like this: r2r -qv)

-v  Show version number

-V  Be verbose

-j threads
    Specify the number of tasks to run in parallel

-n  Do not run any test, just parse them for linting purposes

-f bin-for-json-tests
    Load the given binary when running the JSON tests

-C directory
    Early chdir before running any test

-F directory
    Specify the path where the fuzzed binaries are

-o file
    Output test run information in JSON format to file

-s test
    Set R2R_SKIP_(TEST)=1 to skip running that test type

-t seconds
    Timeout per test (default is (30*60))

USAGE

Use the -n flag to not run any test. Just load them.

$ r2r -n [r2r] Loading tests...

Run the tests contained in a directory interactively, if any of those tests fail to run, prompt the user to autofix, edit the commands, etc.

$ r2r -i test/db/cmd/cmd_pdf

SEE ALSO

radare2(1)

AUTHORS

Written by pancake <pancake@nopcode.org>.